package com.bosch.myspin.serversdk.service;

import android.graphics.Bitmap;
import com.bosch.myspin.serversdk.service.IMySpinServiceClient;

interface IMySpinService
{
	/**
	 * Inform the service that a frame is ready to be grabbed.
	 */
	oneway void onFrameDataReady( int dataSize, int activityiId );

	/**
	 * New activity has appeared and is ready to be captured.
	 */
	oneway void appSelected(IMySpinServiceClient client, int activityiId, String packageId, String className);
	
	/**
	 * Retrieve myspin client data from service if there is one myspin client connected.
	 */
	Bundle getMySpinClientData();
	
	/**
	 * Check if there is an myspin client connected.
	 */
	boolean isMySpinClientConnected();
}
