package com.bosch.myspin.serversdk.vehicledata;

import android.os.IBinder;

/**
 * Interface for registering a vehicle data messenger to the mySPIN service.
 */
oneway interface IVehicleDataListenerRegistration
{
    /**
     * This method sets the listener in the mySPIN service. It will receive notifications about
     * changes in vehicle data.
     *
     * @param vehicleDataListener The messenger that will be notified
     */
	void setVehicleDataMessenger(IBinder vehicleDataMessenger);
	
	/**
     * This method removes the binder from the vehicle data messenger.
     *
     * @param binder binder to remove
     */
	void removeVehicleDataMessenger(IBinder binder);
}
